- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\Media\Frame

class Frame extends AbstractMediaType

## Methods

| __construct(Video $video, FFMpegDriver $driver, FFProbe $ffprobe, TimeCode $timecode) |
FFMpegDriver | getFFMpegDriver() | from AbstractMediaType
MediaTypeInterface | setFFMpegDriver(FFMpegDriver $driver) | from AbstractMediaType
FFProbe | getFFProbe() | from AbstractMediaType
MediaTypeInterface | setFFProbe(FFProbe $ffprobe) | from AbstractMediaType
string | getPathfile() | from AbstractMediaType
MediaTypeInterface | setFiltersCollection(FiltersCollection $filters) | from AbstractMediaType
MediaTypeInterface | getFiltersCollection() | from AbstractMediaType
Video | getVideo() Returns the video related to the frame. |
FrameFilters | filters() Returns the available filters. |
Frame | addFilter(FrameFilterInterface $filter) {@inheritdoc} |
TimeCode | getTimeCode() |
Frame | save(string $pathfile, Boolean $accurate = false) Saves the frame in the given filename. |

## Details

###
at line 29
`public __construct(Video $video, FFMpegDriver $driver, FFProbe $ffprobe, TimeCode $timecode)`

#### Parameters

Video | $video |
FFMpegDriver | $driver |
FFProbe | $ffprobe |
TimeCode | $timecode |

###
in AbstractMediaType at line 40
`public FFMpegDriver getFFMpegDriver()`

#### Return Value

FFMpegDriver |

###
in AbstractMediaType at line 50
`public MediaTypeInterface setFFMpegDriver(FFMpegDriver $driver)`

#### Parameters

FFMpegDriver | $driver |

#### Return Value

MediaTypeInterface |

###
in AbstractMediaType at line 60
`public FFProbe getFFProbe()`

#### Return Value

FFProbe |

###
in AbstractMediaType at line 70
`public MediaTypeInterface setFFProbe(FFProbe $ffprobe)`

#### Parameters

FFProbe | $ffprobe |

#### Return Value

MediaTypeInterface |

###
in AbstractMediaType at line 80
`public string getPathfile()`

#### Return Value

string |

###
in AbstractMediaType at line 90
`public MediaTypeInterface setFiltersCollection(FiltersCollection $filters)`

#### Parameters

FiltersCollection | $filters |

#### Return Value

MediaTypeInterface |

###
in AbstractMediaType at line 100
`public MediaTypeInterface getFiltersCollection()`

#### Return Value

MediaTypeInterface |

###
at line 41
`public Video getVideo()`

Returns the video related to the frame.

#### Return Value

Video |

###
at line 51
`public FrameFilters filters()`

Returns the available filters.

#### Return Value

FrameFilters |

###
at line 61
`public Frame addFilter(FrameFilterInterface $filter)`

{@inheritdoc}

#### Parameters

FrameFilterInterface | $filter |

#### Return Value

Frame |

###
at line 71
`public TimeCode getTimeCode()`

#### Return Value

TimeCode |

###
at line 88
`public Frame save(string $pathfile, Boolean $accurate = false)`

Saves the frame in the given filename.

Uses the `unaccurate method by default.`

#### Parameters

string | $pathfile |
Boolean | $accurate |

#### Return Value

Frame |

#### Exceptions

RuntimeException |